All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
stan::math::promote_scalar_struct< T, T > Struct Template Reference

Struct to hold static function for promoting underlying scalar types. More...

`#include <promote_scalar.hpp>`

## Static Public Member Functions

static T | apply (const T &x)
| Return the unmodified input. More...

## Detailed Description

### template<typename T>
struct stan::math::promote_scalar_struct< T, T >

Struct to hold static function for promoting underlying scalar types.

This specialization is for equal input and output types of function types.

Template Parameters

  T | input and return type of nested static function.

Definition at line 47 of file promote_scalar.hpp.

## Member Function Documentation

template<typename T >

static T stan::math::promote_scalar_struct< T, T >::apply | ( | const T & | x | ) |

inline static

Return the unmodified input.

Parameters

  x | input of type T.

Returns
  input unmodified.

Definition at line 54 of file promote_scalar.hpp.

The documentation for this struct was generated from the following file:

- stan/math/prim/scal/fun/promote_scalar.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.